List invitations by email
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitations": [
{
"invitation_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_name": "<string>",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"inviter_id": "550e8400-e29b-41d4-a716-446655440000",
"inviter_first_name": "<string>",
"inviter_last_name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Multi-users account
List invitations by email
Fetch all invitations for a specific email address.
GET
/
v1
/
query
/
get-invitations-by-email
List invitations by email
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-invitations-by-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitations": [
{
"invitation_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_name": "<string>",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"inviter_id": "550e8400-e29b-41d4-a716-446655440000",
"inviter_first_name": "<string>",
"inviter_last_name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
The email to get invitations for
Response
Invitations retrieved successfully
List of invitations with user details
Show child attributes
Show child attributes

